package com.dgtly.wxportal.domain;

import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 收货单
 * </p>
 *
 * @author csz
 * @since 2020-07-30
 */
public class OrderSelfNote extends BaseEntity {

    private static final long serialVersionUID = 1L;


    //    订单号
    private String orderNumber;
    //    订单创建时间
    private String orderCreationTime;
    //    交货单号
    private String deliveryNumber;
    //    委托人
    private String entrustName;
    //    受托人
    private String beentrustName ;
    //    身份证号
    private String bId ;
    //    车牌
    private String carNumber ;

    //经销商代号
    private String belongTo;
    //  经销商名称
    private String customerName;
    private String agent;
    //司机手机号
    private String phone;


    /** 受托人职位 */
    private String beentrustPost;

    /** 委托人职位 */
    private String entrustPost;
    /** 委托类型对应的值*/
    private String authName;

    public String getBeentrustPost() {
        return beentrustPost;
    }

    public void setBeentrustPost(String beentrustPost) {
        this.beentrustPost = beentrustPost;
    }

    public String getEntrustPost() {
        return entrustPost;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public void setEntrustPost(String entrustPost) {
        this.entrustPost = entrustPost;
    }

    public String getAuthName() {
        return authName;
    }

    public void setAuthName(String authName) {
        this.authName = authName;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOrderCreationTime() {
        return orderCreationTime;
    }

    public void setOrderCreationTime(String orderCreationTime) {
        this.orderCreationTime = orderCreationTime;
    }

    public String getDeliveryNumber() {
        return deliveryNumber;
    }

    public void setDeliveryNumber(String deliveryNumber) {
        this.deliveryNumber = deliveryNumber;
    }

    public String getEntrustName() {
        return entrustName;
    }

    public void setEntrustName(String entrustName) {
        this.entrustName = entrustName;
    }

    public String getBeentrustName() {
        return beentrustName;
    }

    public void setBeentrustName(String beentrustName) {
        this.beentrustName = beentrustName;
    }

    public String getbId() {
        return bId;
    }

    public void setbId(String bId) {
        this.bId = bId;
    }

    public String getCarNumber() {
        return carNumber;
    }

    public void setCarNumber(String carNumber) {
        this.carNumber = carNumber;
    }

    public String getBelongTo() {
        return belongTo;
    }

    public void setBelongTo(String belongTo) {
        this.belongTo = belongTo;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getAgent() {
        return agent;
    }

    public void setAgent(String agent) {
        this.agent = agent;
    }
}
